This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

Author coconutrb
Recipients coconutrb
Date 2010-04-06.10:29:48
SpamBayes Score 2.61489e-11
Marked as misclassified No
Message-id <1270549791.67.0.929964356468.issue8326@psf.upfronthosting.co.za>
In-reply-to
Content
Operating system: Ubuntu 10.04 Lucid Lynx (Beta)

This worked with Python 3.1 on 9.10 Karmic Koala. The same error appears on two separate installations of Lucid.

Issue 3770 does not seem to be relevant here.

Traceback (most recent call last):
File "/usr/lib/python3.1/multiprocessing/synchronize.py", line 28, in <module>
from _multiprocessing import SemLock
ImportError: cannot import name SemLock

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
                                                                        File "main.py", line 16, in <module>
q = JoinableQueue()
File "/usr/lib/python3.1/multiprocessing/__init__.py", line 218, in JoinableQueue
from multiprocessing.queues import JoinableQueue

File "/usr/lib/python3.1/multiprocessing/queues.py", line 22, in <module>
from multiprocessing.synchronize import Lock, BoundedSemaphore, Semaphore, Condition

File "/usr/lib/python3.1/multiprocessing/synchronize.py", line 33, in <module>
" function, see issue 3770.")
                                                                    ImportError: This platform lacks a functioning sem_open implementation, therefore, the required synchronization primitives needed will not function, see issue 3770.
History
Date User Action Args
2010-04-06 10:29:51coconutrbsetrecipients: + coconutrb
2010-04-06 10:29:51coconutrbsetmessageid: <1270549791.67.0.929964356468.issue8326@psf.upfronthosting.co.za>
2010-04-06 10:29:50coconutrblinkissue8326 messages
2010-04-06 10:29:48coconutrbcreate